<!--Forgot Password Starts-->
<section id="forgot-password">
  <div class="container-fluid">
    <div class="row full-height-vh">
      <div class="col-12 d-flex align-items-center justify-content-center">
        <div class="card gradient-purple-bliss bg-darken-3 px-4">
          <div class="card-header">
            <div class="card-image text-center">
              <i class="icon-key font-large-5 blue-grey lighten-4"></i>
            </div>
          </div>
          <div class="card-body">
            <div class="card-block">
              <div class="text-center">
                <h4 class="text-uppercase text-bold-400 white">Forgot password</h4>
              </div>
              <form [hidden]="email" class="pt-4" [formGroup]="forgotForm" #f="ngForm">
                <div class="form-group">
                  <input type="email" class="form-control" formControlName="email" name="email"
                    placeholder="Your@email.com">
                </div>
              </form>
              <form [hidden]="!email" #passwordsForm='ngForm' [formGroup]="forgotFormPass" appCheckPassword>
                <input type="text" hidden formControlName="action" name="action">
                <input type="text" hidden formControlName="email" name="email">
                <input type="text" hidden formControlName="user" name="user">
                <div class="form-group">
                  <label for="ask">Secret question</label>
                  <span id="ask" class="form-control">{{ask}}</span>
                </div>
                <div class="form-group">
                  <label for="anwer">Answer security</label>
                  <input type="text" class="form-control" placeholder="Answer" formControlName="answer"
                    name="answer">
                </div>
                <div class="form-group">
                  <label for="password1">New password</label>
                  <input type="password" class="form-control" id="password1" placeholder="New password"
                    formControlName="passwordA" name="passwordA" required>
                </div>
                <div class="form-group">
                  <label for="Password2">Repeat password</label>
                  <input type="password" class="form-control" id="Password2" placeholder="Repeat password"
                    formControlName="passwordB" name="passwordB" required>
                </div>
                <div class="form-group">
                  <re-captcha formControlName="captcha" required siteKey="6LcD_kwUAAAAAK8pRcF7faBj4LH01vag_ShX887p">
                  </re-captcha>
                </div>
                <div
                  *ngIf="forgotFormPass.get('passwordB').invalid && (forgotFormPass.get('passwordA').dirty || forgotFormPass.get('passwordA').touched)"
                  class="alert alert-danger">
                  Required new password
                </div>
                <div
                  *ngIf="passwordsForm.errors?.passwordCheck && (forgotFormPass.get('passwordB').dirty || forgotFormPass.get('passwordB').touched)"
                  class="alert alert-danger">
                  Password do not match
                </div>
                <div class="alert alert-danger"
                  *ngIf="!forgotFormPass.get('passwordA').valid && (forgotFormPass.get('passwordA').dirty || forgotFormPass.get('passwordA').touched)">
                  -A password of is required <br>
                  more than 8 characters and <br>
                  must include at least one <br>
                  uppercase and one<br>
                  special character.</div>
              </form>
              <div class="form-group pt-2">
                <div class="text-center mt-3">
                  <button [hidden]="email" type="button" (click)="onEmail(f)"
                    class="btn btn-danger btn-raised btn-block">Submit</button>
                  <button [disabled]="!this.passwordsForm.valid" [hidden]="!email" type="button"
                    (click)="onForgot(passwordsForm)" class="btn btn-danger btn-raised btn-block">Change
                    password</button>
                </div>
              </div>
            </div>
            <div class="card-footer bg-blue-grey bg-darken-3">
              <div class="float-left white"><a routerLink="/start">Start</a></div>
              <div class="float-right white">New user? <a routerLink="/register">Register now</a></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--Forgot Password Ends-->
